

.buttonsplace {
    display: grid;
    gap: 5px;
    gap: 0;
    height: calc(100% - 108px - 28px - 10px);
    padding: 5px;
}

/* OCT */
.buttonsplace.oct.min {
    grid-template-columns: repeat(4, 1fr);
}
.buttonsplace.oct.mid {
    grid-template-columns: repeat(5, 1fr);
}
.buttonsplace.oct.max {
    grid-template-columns: repeat(6, 1fr);
}

/* DEC */
.buttonsplace.dec.min {
    grid-template-columns: repeat(4, 1fr);
}
.buttonsplace.dec.mid {
    grid-template-columns: repeat(5, 1fr);
}
.buttonsplace.dec.max {
    grid-template-columns: repeat(6, 1fr);
}

/* HEX */
.buttonsplace.hex.min {
    grid-template-columns: repeat(5, 1fr);
}
.buttonsplace.hex.mid {
    grid-template-columns: repeat(5, 1fr);
}
.buttonsplace.hex.max {
    grid-template-columns: repeat(6, 1fr);
}

.btn.bcalc {
    border-radius: 2rem;
    border: none;
    user-select: none;
    -webkit-user-select: none;
    font-size: 200%;

    width: 100%;
    height: 100%;

    border: 0.25rem solid #1a1a1a;
    transition: background 0.3s ease;

    &.tl {
        border-top-left-radius: 0;
        border-top: 0;
        border-left: 0;
    }
    &.tr {
        border-top-right-radius: 0;
        border-top: 0;
        border-right: 0;
    }
    &.bl {
        border-bottom-left-radius: 0;
        border-bottom: 0;
        border-left: 0;
    }
    &.br {
        border-bottom-right-radius: 0;
        border-bottom: 0;
        border-right: 0;
    }
    &.rr {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
        border-right: 0;
    }
    &.ll {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        border-left: 0;
    }
    &.tt {
        border-top-right-radius: 0;
        border-top-left-radius: 0;
        border-top: 0;
    }
    &.bb {
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
        border-bottom: 0;
    }
}

.btn.bcalc.gray {
    color: gray;
}

/* Font-Size */
.min {
    .btn.bcalc {
        font-size: 200%;

        &.oper {
            font-size: 250%;
        }
    }
}